Subject: [tsvwg] Making ECT(1) safe for experimental roll-out

From: Sebastian Moeller <[email-masked]>
Date: Fri, 21 Feb 2020 09:29:25 +0100

Dear All,

thanks for organizing yesterday's virtual meeting. While not covering all topics and running over time it did help a lot, looking forward to the next full IETF meeting.

I have been thinking more about the "highlander" clause for ECT(1), or there only being one concurrently acceptable use of ECT(1) concurrently.

And the more I think about it, the less I see this as without alternatives. 
	If the IRTF would mandate that for experimental roll-out both L4S and SCE have te also require a unique DSCP each, both experiments can be started and run simultaneously.

	Once a winner has emerged, or hybridization between the two approaches has developed, the IETF could simply drop the DSCP requirement for the winner. At that point the winning proposal could leave experimental status and be elevated to a full standard with pure ECT(1) use.
	For initial experimentation this DSCP requirement can not be a major road-block as neither proposal has existing user bases, so that the end points for experimentation need to to be carefully set-up de novo anyways, so that requiring a DSCP-conserving path to the relevant AQMs does not seem to be onerous. The primary use-case for L4S for example supposedly is the per-customer traffic-shaper that ISPs employ, and the targetted traffic in all likelyhodd will come from close-by CDNs/data-centers, so DSCP conservation should not be an insurmountable obstacle, and for the egress path that will be even less of an issue.

I accept that none of the two proposals actually proposed to go that router and have this implemented as part of their design already, but I argue that:

A) since this arguably affects per hop behaviour (namely per hop ECN marking behavior) both proposals should have mandated an, at least opportunistic/best-effort, DSCP from the on-set.

B) the IETF, as far as I can tell is the ultimate arbiter about which drafts reach RFC status and is in a position to mandate requirements and changes to assure the safety of an experiment.

So in essence there is no hard justification why the ECT(1) plus unique DSCP requirement can not be made a precondition for permitting experimental RFC status. This also has the added advantage that to shut down the experiment in case is is not successfuk should be considerably easier, as most ISPs already have gear to re-map DSCPs while fudging with ECN bits is rightfully frowned upon.

I would be delighted if others could opine on this proposal, especially the chairs, preferably "ex cahtedra".

Many thanks in advance
	Sebastian

P.S.: I admit that I am a pessimist, and all of that contingency planning might prove to be wasted time and effort if the L4S experiment succeeds, but that is quite typical in engineering that a design is required to not only work under best-case or even "normal" conditions, but that it also does no harm under extreme conditions, and so far I am not convinced that the L4S proponents have looked hard enough at the worst-case scenarios.